begin;
INSERT INTO tournaments 
  (season, name, country, location, "date", machine, scoringsystem) VALUES (
    (SELECT season FROM seasons WHERE name='Challenge Cup 2004'),
    'Challenge Cup 1 - 2004',
    (SELECT country FROM countries WHERE name='Norway'),
    'Oslo Bowling',
    '2004-03-07',
    (SELECT machine FROM machines WHERE name='Dancing Stage EuroMix 2'),
    (SELECT scoringsystem FROM scoringsystems WHERE name='10K Machine score')
);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Candy'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Haggar'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   'f',
   7505);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Candy')),
   'f',
   7204);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   't',
   7952);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ylini' AS nick WHERE 'Ylini' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Ylini'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Ylini'),
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   'f',
   5104);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Ylini'),
   (SELECT song FROM songs WHERE lower(title)=lower('Candy')),
   'f',
   6302);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Ylini'),
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   6940);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Mulefisk' AS nick WHERE 'Mulefisk' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   'f',
   7279);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Candy')),
   'f',
   7205);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   't',
   7649);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Slusk' AS nick WHERE 'Slusk' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Slusk'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Slusk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   'f',
   5544);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Slusk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Candy')),
   'f',
   6465);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Slusk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   7619);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Tom' AS nick WHERE 'Tom' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Tom'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   'f',
   6968);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Candy')),
   'f',
   8480);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 1,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   7702);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Let Them Move'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Golddragon' AS nick WHERE 'Golddragon' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Golddragon'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Golddragon'),
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   5536);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Golddragon'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let Them Move')),
   'f',
   5202);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Golddragon'),
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   6905);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Jallaman' AS nick WHERE 'Jallaman' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Jallaman'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Jallaman'),
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   5390);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Jallaman'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let Them Move')),
   'f',
   4746);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Jallaman'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8151);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6849);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let Them Move')),
   'f',
   6513);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   't',
   8242);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Matsi' AS nick WHERE 'Matsi' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Matsi'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Matsi'),
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   5675);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Matsi'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let Them Move')),
   'f',
   4952);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Matsi'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   7354);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Snute'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('www.blonde girl (MOMO Mix)')),
   'f',
   6720);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Let Them Move')),
   'f',
   6243);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 2,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   't',
   8513);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'tombot' AS nick WHERE 'tombot' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='tombot'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='tombot'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   4876);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='tombot'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   6868);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='tombot'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   6622);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Ink' AS nick WHERE 'Ink' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ink'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ink'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   4458);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ink'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   4053);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Ink'),
   (SELECT song FROM songs WHERE lower(title)=lower('era (nostalmix)')),
   't',
   5636);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Stream' AS nick WHERE 'Stream' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Stream'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Stream'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   5985);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Stream'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   7459);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Stream'),
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   't',
   7837);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Spinnvill' AS nick WHERE 'Spinnvill' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Spinnvill'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Spinnvill'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   6173);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Spinnvill'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   7732);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Spinnvill'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8031);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Telc' AS nick WHERE 'Telc' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Telc'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Telc'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   5563);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Telc'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   7290);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='Telc'),
   (SELECT song FROM songs WHERE lower(title)=lower('Hypnotic Crisis')),
   't',
   7467);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='DufF'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Nori Nori Nori')),
   'f',
   6545);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   8636);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 3,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   't',
   7666);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Duckling' AS nick WHERE 'Duckling' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Duckling'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Duckling'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   5235);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Duckling'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   5049);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Duckling'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7172);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Auran' AS nick WHERE 'Auran' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Auran'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Auran'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   4330);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Auran'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   3698);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Auran'),
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   't',
   4459);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Advena' AS nick WHERE 'Advena' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Advena'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Advena'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   5233);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Advena'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   5076);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Advena'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   7787);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Snofox'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   7143);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   7727);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   7700);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Smiph' AS nick WHERE 'Smiph' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Smiph'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   4862);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   6848);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   6668);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('End of the Century')),
   'f',
   8288);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dynamite Rave')),
   'f',
   8252);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 4,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Jam Jam Reggae (AM Swing Mix)')),
   't',
   7566);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT song FROM songs WHERE lower(title)=lower('Don\'t Try to Stop It'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'x3mnrj' AS nick WHERE 'x3mnrj' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='x3mnrj'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='x3mnrj'),
   (SELECT song FROM songs WHERE lower(title)=lower('Don\'t Try to Stop It')),
   'f',
   6004);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='x3mnrj'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   5699);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='x3mnrj'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   6712);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Octu' AS nick WHERE 'Octu' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Octu'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Octu'),
   (SELECT song FROM songs WHERE lower(title)=lower('Don\'t Try to Stop It')),
   'f',
   5789);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Octu'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   4891);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Octu'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   6321);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Electus' AS nick WHERE 'Electus' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Electus'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Electus'),
   (SELECT song FROM songs WHERE lower(title)=lower('Don\'t Try to Stop It')),
   'f',
   6256);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Electus'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   6376);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Electus'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   7992);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Purity' AS nick WHERE 'Purity' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Purity'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Purity'),
   (SELECT song FROM songs WHERE lower(title)=lower('Don\'t Try to Stop It')),
   'f',
   6498);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Purity'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   6584);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Purity'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8079);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Havok' AS nick WHERE 'Havok' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Havok'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Havok'),
   (SELECT song FROM songs WHERE lower(title)=lower('Don\'t Try to Stop It')),
   'f',
   6482);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Havok'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   5994);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Havok'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   7576);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Draconia' AS nick WHERE 'Draconia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Draconia'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Draconia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Don\'t Try to Stop It')),
   'f',
   6130);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Draconia'),
   (SELECT song FROM songs WHERE lower(title)=lower('DXY!')),
   'f',
   5705);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 5,
   (SELECT player FROM players WHERE nick='Draconia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   7935);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT song FROM songs WHERE lower(title)=lower('Memories'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=1;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Dexter' AS nick WHERE 'Dexter' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Dexter'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Dexter'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6276);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Dexter'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   7296);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Dexter'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8433);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Olemann' AS nick WHERE 'Olemann' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Olemann'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Olemann'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6171);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Olemann'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   6554);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Olemann'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   7315);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Tha Dragon' AS nick WHERE 'Tha Dragon' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Tha Dragon'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Tha Dragon'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   5269);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Tha Dragon'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   5511);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Tha Dragon'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7357);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'T|na' AS nick WHERE 'T|na' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='T|na'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6425);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   8002);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8452);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='RiChY'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6501);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   8519);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   8529);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Daniil' AS nick WHERE 'Daniil' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Daniil'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6503);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   'f',
   7729);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   1, 6,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   8248);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Smiph' AS nick WHERE 'Smiph' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Smiph'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   5962);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   5704);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Smiph'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8098);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Daniil' AS nick WHERE 'Daniil' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   7436);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6489);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Daniil'),
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8489);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   7619);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6603);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8445);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   8436);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6567);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine Climax')),
   't',
   8425);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Purity' AS nick WHERE 'Purity' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Purity'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Purity'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   7441);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Purity'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6068);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='Purity'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   8424);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='DufF'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   'f',
   8253);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Burnin\' the Floor')),
   'f',
   6456);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 1,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   't',
   8595);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Havok' AS nick WHERE 'Havok' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Havok'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Havok'),
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   'f',
   6396);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Havok'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   0);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Havok'),
   (SELECT song FROM songs WHERE lower(title)=lower('Hysteria 2001')),
   't',
   3161);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Jallaman' AS nick WHERE 'Jallaman' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Jallaman'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Jallaman'),
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   'f',
   6943);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Jallaman'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   4881);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Jallaman'),
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   't',
   0);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Haggar'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   'f',
   7235);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6126);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8160);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'T|na' AS nick WHERE 'T|na' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='T|na'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   'f',
   6370);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   5386);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='T|na'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8107);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   'f',
   7691);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6540);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   't',
   8190);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='RiChY'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('My Summer Love')),
   'f',
   7777);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Living in America')),
   'f',
   6359);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 2,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Healing Vision (Angelic Mix)')),
   't',
   7800);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('Caribbean Queen'))
);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End'))
);
UPDATE rounds SET randomsongs=2 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=2;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=2;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Mulefisk' AS nick WHERE 'Mulefisk' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Caribbean Queen')),
   'f',
   5974);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   7951);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8229);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Stream' AS nick WHERE 'Stream' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Stream'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Stream'),
   (SELECT song FROM songs WHERE lower(title)=lower('Caribbean Queen')),
   'f',
   5953);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Stream'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   7738);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Stream'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7874);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Electus' AS nick WHERE 'Electus' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Electus'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Electus'),
   (SELECT song FROM songs WHERE lower(title)=lower('Caribbean Queen')),
   'f',
   5444);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Electus'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   7090);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Electus'),
   (SELECT song FROM songs WHERE lower(title)=lower('era (nostalmix)')),
   't',
   7249);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Spinnvill' AS nick WHERE 'Spinnvill' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Spinnvill'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Spinnvill'),
   (SELECT song FROM songs WHERE lower(title)=lower('Caribbean Queen')),
   'f',
   5540);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Spinnvill'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   6936);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Spinnvill'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   't',
   7821);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Caribbean Queen')),
   'f',
   6206);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   8084);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Spin the disc')),
   't',
   7733);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Tom' AS nick WHERE 'Tom' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Tom'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Caribbean Queen')),
   'f',
   5836);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   'f',
   8046);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   2, 3,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   't',
   8508);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=3;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=3;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   8251);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8380);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Haggar' AS nick WHERE 'Haggar' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   7881);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Haggar'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8316);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   8295);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   8678);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   8092);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8680);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Mulefisk' AS nick WHERE 'Mulefisk' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   7806);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Mulefisk'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   7815);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   8414);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   8180);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   8406);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8260);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   8
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   8441);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   8539);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Tom' AS nick WHERE 'Tom' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   9
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Tsugaru')),
   'f',
   8489);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   3, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8381);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Never Gonna Make (Factory Team Mix)'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=4;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=4;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Gonna Make (Factory Team Mix)')),
   'f',
   6595);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8588);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Gonna Make (Factory Team Mix)')),
   'f',
   6301);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8706);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Gonna Make (Factory Team Mix)')),
   'f',
   6654);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   8693);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'RiChY' AS nick WHERE 'RiChY' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Gonna Make (Factory Team Mix)')),
   'f',
   6596);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='RiChY'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   7821);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Tom' AS nick WHERE 'Tom' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Gonna Make (Factory Team Mix)')),
   'f',
   6766);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Candy')),
   't',
   8379);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snofox' AS nick WHERE 'Snofox' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   6
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Gonna Make (Factory Team Mix)')),
   'f',
   6433);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snofox'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8563);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   7
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Gonna Make (Factory Team Mix)')),
   'f',
   6803);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   4, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Dead End')),
   't',
   8351);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Memories'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=5;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=5;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   7245);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8452);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Tom' AS nick WHERE 'Tom' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6701);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Tom'),
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   't',
   8960);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   7521);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Crash!')),
   't',
   8615);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   7227);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8541);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   5
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Memories')),
   'f',
   6819);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   5, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8853);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=6;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=6;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   6663);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Can\'t Stop Fallin\' in Love (SPEED MIX)')),
   't',
   8637);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Oliyzia' AS nick WHERE 'Oliyzia' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   6662);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='Oliyzia'),
   (SELECT song FROM songs WHERE lower(title)=lower('Trip Machine (Luv Mix)')),
   't',
   8044);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   6810);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova Primeval')),
   't',
   8506);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   4
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Groove 2001')),
   'f',
   6759);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   6, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Electro Tuned (the SubS Mix)')),
   't',
   8544);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=7;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=7;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'OJK' AS nick WHERE 'OJK' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   'f',
   8391);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='OJK'),
   (SELECT song FROM songs WHERE lower(title)=lower('PARANOiA Rebirth')),
   't',
   8130);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   'f',
   9537);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('So Deep (Perfect Sphere Mix)')),
   't',
   8352);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   3
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Max 300')),
   'f',
   9032);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   7, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Afronova')),
   't',
   8623);
INSERT INTO rounds (tournament, round, randomsongs, chosensongs) 
  VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8,
   0, 0);
INSERT INTO groups (tournament, round, parallel) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8, 0);
INSERT INTO roundrandomsongs (tournament, round, parallel, song) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8, 0,
   (SELECT song FROM songs WHERE lower(title)=lower('Never Let You Down'))
);
UPDATE rounds SET randomsongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=8;
UPDATE rounds SET chosensongs=1 WHERE 
  tournament=(SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004') AND 
  round=8;
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'DufF' AS nick WHERE 'DufF' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   1
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Let You Down')),
   'f',
   6678);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8, 0,
   (SELECT player FROM players WHERE nick='DufF'),
   (SELECT song FROM songs WHERE lower(title)=lower('Exotic Ethnic')),
   't',
   8781);
INSERT INTO players SELECT nextval('players_player_seq') AS player, 'Snute' AS nick WHERE 'Snute' NOT IN ( SELECT nick FROM players );
INSERT INTO roundparticipation (tournament, round, parallel, player, position) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   2
);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Never Let You Down')),
   'f',
   6827);
INSERT INTO scores (tournament, round, parallel, player, song, chosen, score) VALUES (
   (SELECT tournament FROM tournaments WHERE name='Challenge Cup 1 - 2004'),
   8, 0,
   (SELECT player FROM players WHERE nick='Snute'),
   (SELECT song FROM songs WHERE lower(title)=lower('Paranoia KCET (Clean Mix)')),
   't',
   8691);
commit;
